Package org.eclipse.net4j.spi.db.ddl

## Interface InternalDBNamedElement

- All Superinterfaces:
    `IDBElement`, `IDBNamedElement`, `org.eclipse.net4j.util.event.INotifier`, `InternalDBElement`
  All Known Subinterfaces:
    `InternalDBField`, `InternalDBIndex`, `InternalDBIndexField`, `InternalDBSchema`, `InternalDBSchemaElement`, `InternalDBTable`
  All Known Implementing Classes:
    `org.eclipse.net4j.internal.db.ddl.DBNamedElement`, `org.eclipse.net4j.internal.db.ddl.DBSchema`, `DBSchema`, `org.eclipse.net4j.internal.db.ddl.DBSchemaElement`

      public interface InternalDBNamedElement
      extends IDBNamedElement, InternalDBElement

  Since:
    4.2
  Author:
    Eike Stepper
  No Implement
    This interface is not intended to be implemented by clients.
  No Extend
    This interface is not intended to be extended by clients.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.eclipse.net4j.util.event.INotifier

      `org.eclipse.net4j.util.event.INotifier.INotifier2`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `dump()` |
    `void` | `dump​(java.io.Writer writer)` |
    `java.lang.String` | `dumpToString()` |
    `void` | `setName​(java.lang.String name)` |

    - ### Methods inherited from interface org.eclipse.net4j.db.ddl.IDBElement

      `getProperties`

    - ### Methods inherited from interface org.eclipse.net4j.db.ddl.IDBNamedElement

      `getName`

    - ### Methods inherited from interface org.eclipse.net4j.util.event.INotifier

      `addListener, getListeners, hasListeners, removeListener`

- - ### Method Detail

    - #### setName

          void setName​(java.lang.String name)

    - #### dumpToString

          java.lang.String dumpToString()

    - #### dump

          void dump()

    - #### dump

          void dump​(java.io.Writer writer)
             throws java.io.IOException

      Throws:
        `java.io.IOException`